<!--We should start with our doctype declaration specifying that this document is an HTML document.-->
<!DOCTYPE html>

<!--The root tag of any HTML document is fittingly "html". By root tag, I simply mean that it is the outermost tag that encompasses all other tags.-->
<html>
    <!--The head tag is used to specify metadata about our document. This can include, for instance, a title and information about the character encoding. The head might also contain links to other resources such as style sheets and CDNS (content delivery networks).-->
    <head>
        <title>pH Login</title>
        <meta charset="UTF-8"
        <!--We want to link to an existing, external style sheet. Using an external sheet is best practice as it keeps our HTML document and external style sheets are reusable across multiple documents.-->
        <link rel="stylesheet" href="../styles/ph-styles.css"/>
        <!--Import Harry Potter font style-->
        <link href="http://fonts.cdnfonts.com/css/harry-potter" rel="stylesheet">
    </head>
    <!--The body tag contains the web elements that are visible to the end users and can also include script tags and style tags.-->
    <body>
        <!--The header and footer tags are what are known as "semantic tags". Semantic tags create meaning for developers in that they are named in such a way that reveals how they are intended to be used. This makes it easier for developers to identify how and why an element is being used.-->
        <header>
            <!--h1 provides fairly large text for a section heading. Note that there are different size variations these tags; they range from h1 to h6, h6 being the smallest.-->
            <h1>parry Hotter School for Alchemy and Pyromancy</h1>
        </header>
        <hr>
        <!--The div element is a commonly used element that is used to div-ide the page into sections. Note that we have added what is known as an "id". ID is an element "attribute". ID is specifically used as a unique identifier for an element. This makes it easy to target the element for styles and DOM manipulation.-->
        <div id="hat" style="display: flex; justify-content: center;">
            <!--Although most tags need to be closed, some tags are self-closing, image being one them. Note that we've use inline CSS here via the "style" attribute. This is not best practice as it can clutter up your HTML document and inline styles are not reusable, meaning that you would have to respecify this exact style on a per element basis. Essentially: This style only applies to this element in this particular document.-->
            <img src="https://www.renderhub.com/realityscanning/old-boot-with-plants-inside/old-boot-with-plants-inside-01.jpg" style="height: 15rem" alt="Sorting Boot"/>
        </div>
        <!--We use a form element in order to take and submit user input via input elements, checkboxes, radio buttons, and buttons for form for submission.-->
        <form>
            <!--Note that input elements allow end users to type data into text boxes.-->
            <section class="two_columns">
                <label for="favorite_character">Favorite:</label>
                <select id="favorite_character">
                    <option selected="true">Noone</option>
                    <!--The rest of the options will need to be pulled dynamically from a web service.-->
                </select>
                <label for="username">Username:</label>
                <input id="username" placeholder="parry Hotter" type="text"/>
                <label for="password">Password:</label>
                <input id="password" placeholder="*******" type="password" maxlength="20"/>
            </section>
            <input type="submit"/>
        </form>
        <footer>
            <h6>&copy;Copyright pHSfAaP (or Revature). All rights reserved.</h6>
        </footer>
        <!--You can also modify the style for an element using the "style" tag. This is a little better than using inline CSS in that it improves the readability of the styles you've applied. Note that we are selecting the element which has an ID of "hat" in this style block.-->
        <style>
            #hat{
                margin: 3em;
            }

            img{
                border: 1em;
                border-style: solid;
                border-color: steelblue;
            }
        </style>
        <script src="../scripts/parry-hotter-login.js"></script>
        <script src="../scripts/async-await.js"></script>
    </body>
</html>